Wellfound jobs search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-wellfound-jobs-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "software-engineer",
"location": "san-francisco",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-wellfound-jobs-search"
payload = {
"role": "software-engineer",
"location": "san-francisco",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'software-engineer', location: 'san-francisco', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-wellfound-jobs-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "wellfound_jobs_search",
"role": "software-engineer",
"location": "san-francisco",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Wellfound — jobs search\n\n- **Query:** role=software-engineer, location=san-francisco\n- **Results:** 2 of 761 found\n- **Proxy traffic:** 701.7 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "4787364",
"name": "Software Engineer",
"url": "https://wellfound.com/jobs/4787364-software-engineer",
"title": "Software Engineer",
"role": "Software Engineer",
"job_type": "full-time",
"compensation": "$170k – $250k",
"locations": [
"New York City",
"San Francisco"
],
"remote": false,
"remote_kind": "ONSITE",
"years_experience_min": 4,
"years_experience_max": null,
"posted_at": "2026-09-30",
"description": "**About Chalk**\n\nChalk is building the data platform that powers the future of machine learning applications. We tear down complexity, latency, and scale barriers that have traditionally constrained M",
"company": {
"id": "8887646",
"name": "Chalk",
"slug": "chalk-ai",
"url": "https://wellfound.com/company/chalk-ai",
"tagline": "Building machine learning infrastructure to answer the world’s hardest questions",
"logo_url": "https://photos.wellfound.com/startups/i/8887646-f35c5c1d88595ca051fddbec6e486edd-medium_jpg.jpg?buster=1652299292",
"company_size": "51-200",
"stage": "Early Stage",
"tags": [
"B2B"
],
"actively_hiring": true
}
},
"items": [
{
"id": "4787364",
"name": "Software Engineer",
"url": "https://wellfound.com/jobs/4787364-software-engineer",
"title": "Software Engineer",
"role": "Software Engineer",
"job_type": "full-time",
"compensation": "$170k – $250k",
"locations": [
"New York City",
"San Francisco"
],
"remote": false,
"remote_kind": "ONSITE",
"years_experience_min": 4,
"years_experience_max": null,
"posted_at": "2026-09-30",
"description": "**About Chalk**\n\nChalk is building the data platform that powers the future of machine learning applications. We tear down complexity, latency, and scale barriers that have traditionally constrained M",
"company": {
"id": "8887646",
"name": "Chalk",
"slug": "chalk-ai",
"url": "https://wellfound.com/company/chalk-ai",
"tagline": "Building machine learning infrastructure to answer the world’s hardest questions",
"logo_url": "https://photos.wellfound.com/startups/i/8887646-f35c5c1d88595ca051fddbec6e486edd-medium_jpg.jpg?buster=1652299292",
"company_size": "51-200",
"stage": "Early Stage",
"tags": [
"B2B"
],
"actively_hiring": true
}
},
{
"id": "4787352",
"name": "Forward Deployed Engineer",
"url": "https://wellfound.com/jobs/4787352-forward-deployed-engineer",
"title": "Forward Deployed Engineer",
"role": "Software Engineer",
"job_type": "full-time",
"compensation": "$170k – $250k",
"locations": [
"New York City",
"San Francisco"
],
"remote": false,
"remote_kind": "ONSITE",
"years_experience_min": 4,
"years_experience_max": null,
"posted_at": "2026-09-30",
"description": "**About Chalk**\n\nChalk is building the data platform that powers the future of machine learning applications. We tear down complexity, latency, and scale barriers that have traditionally constrained M",
"company": {
"id": "8887646",
"name": "Chalk",
"slug": "chalk-ai",
"url": "https://wellfound.com/company/chalk-ai",
"tagline": "Building machine learning infrastructure to answer the world’s hardest questions",
"logo_url": "https://photos.wellfound.com/startups/i/8887646-f35c5c1d88595ca051fddbec6e486edd-medium_jpg.jpg?buster=1652299292",
"company_size": "51-200",
"stage": "Early Stage",
"tags": [
"B2B"
],
"actively_hiring": true
}
}
],
"total_found": 761,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 718550
},
"total_points": 2
}Startup & Funding Data
Wellfound jobs search
Search Wellfound jobs by role and location: job title, pay, locations, description and the hiring company (size, stage, tags). 1 point per returned record.
POST
/
functions
/
v1
/
run-wellfound-jobs-search
Wellfound jobs search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.